Bug 10 - confusing output from 'rpm --verify'
Summary: confusing output from 'rpm --verify'
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-09 13:10 UTC by redhat-bugzilla
Modified: 2014-03-19 11:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-05 19:10:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description redhat-bugzilla 1998-11-09 13:10:54 UTC
When 'rpm --verify' is runned as a user which cannot
read a particular file (i.e. not as root) the output
indicates that the md5-sum of the file has changed:

[noa@brecht bugzilla-2.0]$ rpm --verify util-linux
..5.....   /bin/login

The user should somehow be notified that rpm couldn't
caluculate the md5-sum instead of just flagging it
different.

Comment 1 Jeff Johnson 1998-12-05 19:10:59 UTC
Fixed in rpm-2.5.6.

bash$ ./rpm -Vf /bin/login
..?.....   /bin/login
..?.....   /usr/bin/chfn
..?.....   /usr/bin/chsh
..?.....   /usr/bin/newgrp


Note You need to log in before you can comment on or make changes to this bug.